---
title: "Extract attributes"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › reports

`POST /v2/reports/{id}/attributes/extract`

## Path parameters

- `id` (`report-extract-attributes.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sureshake.com/v2/reports/<id>/attributes/extract'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/reports/<id>/attributes/extract';
const options = {method: 'POST'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/reports/<id>/attributes/extract"

response = requests.post(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "attributes": [
      {
        "traitType": "string",
        "value": "string",
        "isAutoExtracted": false
      }
    ]
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`report-extract-attributes.response.200.data`; object, required)
  - `attributes` (`report-extract-attributes.response.200.data.attributes`; array<object>, required)
    - `traitType` (`report-extract-attributes.response.200.data.attributes.traitType`; string, required)
      - minLength 1
    - `value` (`report-extract-attributes.response.200.data.attributes.value`; string, required)
      - minLength 1
    - `isAutoExtracted` (`report-extract-attributes.response.200.data.attributes.isAutoExtracted`; boolean, optional)
      - default `false`
- `meta` (`report-extract-attributes.response.200.meta`; object, optional)
  - `timestamp` (`report-extract-attributes.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-extract-attributes.response.400.error`; object, required)
  - `code` (`report-extract-attributes.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-extract-attributes.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`report-extract-attributes.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-extract-attributes.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-extract-attributes.response.401.error`; object, required)
  - `code` (`report-extract-attributes.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-extract-attributes.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`report-extract-attributes.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-extract-attributes.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-extract-attributes.response.403.error`; object, required)
  - `code` (`report-extract-attributes.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-extract-attributes.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`report-extract-attributes.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-extract-attributes.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-extract-attributes.response.404.error`; object, required)
  - `code` (`report-extract-attributes.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-extract-attributes.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`report-extract-attributes.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-extract-attributes.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-extract-attributes.response.409.error`; object, required)
  - `code` (`report-extract-attributes.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-extract-attributes.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`report-extract-attributes.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-extract-attributes.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-extract-attributes.response.422.error`; object, required)
  - `code` (`report-extract-attributes.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-extract-attributes.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`report-extract-attributes.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-extract-attributes.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-extract-attributes.response.500.error`; object, required)
  - `code` (`report-extract-attributes.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-extract-attributes.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`report-extract-attributes.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-extract-attributes.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/report-extract-attributes/index.md
